## oarc-dsc-datatool 1.4.2

=== .copr/Makefile ===
top=..

all: srpm

prereq: $(top)/rpmbuild
	rpm -q git rpm-build >/dev/null || dnf -y install git rpm-build

update-dist-tools: $(top)/dist-tools
	( cd "$(top)/dist-tools" && git pull )

$(top)/dist-tools:
	git clone https://github.com/jelu/dist-tools.git "$(top)/dist-tools"

$(top)/rpmbuild:
	mkdir -p "$(top)"/rpmbuild/{BUILD,RPMS,SOURCES,SPECS,SRPMS}

srpm: prereq update-dist-tools
	git config --global safe.directory "*"
	test -f .gitmodules && git submodule update --init || true
	echo "$(spec)" | grep -q "develop.spec" && auto_build_number=`date --utc +%s` message="Auto build `date --utc --iso-8601=seconds`" "$(top)/dist-tools/spec-new-changelog-entry" || true
	overwrite=yes nosign=yes "$(top)/dist-tools/create-source-packages" rpm
	cp ../*.orig.tar.gz "$(top)/rpmbuild/SOURCES/"
	echo "$(spec)" | grep -q "develop.spec" && rpmbuild -bs --define "%_topdir $(top)/rpmbuild" --undefine=dist rpm/*.spec || rpmbuild -bs --define "%_topdir $(top)/rpmbuild" --undefine=dist "$(spec)"
	cp "$(top)"/rpmbuild/SRPMS/*.src.rpm "$(outdir)"

=== debian/changelog ===
oarc-dsc-datatool (1.4.2-1) unstable; urgency=low

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Apr 2025 13:24:04 +0200

=== debian/control ===
Source: oarc-dsc-datatool
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://www.dns-oarc.net/tools/dsc
Vcs-Browser: https://forgejo.debian.net/dns-oarc/oarc-dsc-datatool
Vcs-Git: https://forgejo.debian.net/dns-oarc/oarc-dsc-datatool

Package: oarc-dsc-datatool
Section: utils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 oarc-dsc,
Description: DNS Statistics Collector (export tool to other formats and databases)
 DNS Statistics Collector (DSC) is a tool used for collecting and exploring
 statistics from busy DNS servers. It can be set up to run on or near
 nameservers to generate aggregated data that can then be transported to
 central systems for processing, displaying and archiving.
 .
 dsc-datatool can aggregated data to be furthur enriched and converted for
 import into for example InfluxDB which can then be accessed by Grafana for
 visualzation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --buildsystem=pybuild

execute_after_dh_auto_clean:
	# help pybuild
	rm -rf *.egg-info

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dsc-datatool-$1\.tar\.gz/ \
https://github.com/DNS-OARC/dsc-datatool/tags .*/v?(\d\S+)\.tar\.gz
